@layer components {
    .user-guide-layout {
        display: grid;
        grid-template-columns: 1fr 16rem;
        gap: var(--spacing-16);
        margin-bottom: var(--spacing-16);
        align-items: start;
    }

    .user-guide-body {
        --min-height-abs: 500px;
        --min-height-per: 20%;

        display: flex;
        flex-direction: column;
        gap: var(--spacing-16);
        padding: var(--spacing-16) var(--spacing-24) var(--spacing-24);
        background: var(--color-surface);
        border-radius: var(--radius-lg);
        background: linear-gradient(
            to bottom,
            var(--color-surface) 0%,
            var(--color-background)
                min(var(--min-height-per), var(--min-height-abs)),
            var(--color-background)
                calc(100% - min(var(--min-height-per), var(--min-height-abs))),
            var(--color-surface) 100%
        );
        margin-bottom: var(--spacing-16);

        &.two-cols {
            display: grid;
            grid-template-columns: 16rem 1fr;
            gap: var(--spacing-20);
        }
    }

    /* HEADER */

    .library-header {
        display: flex;
        flex-direction: column;
        gap: 0;
        margin: 0 auto;
        width: 100%;
    }

    .user-guide-breadcrumbs {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: var(--spacing-6);
        font-size: var(--font-size-3xl);
        font-weight: var(--font-weight-light);
        color: var(--color-prose);
        letter-spacing: var(--tracking-wide);
    }

    .user-guide-breadcrumbs-img {
        --img-size: 2.5rem;
        width: 2.5rem;
        height: 2.5rem;
        margin-left: calc((var(--img-size) + var(--spacing-6)) * -1);
    }

    .user-guide-header-title {
        font-size: var(--font-size-6xl);
        font-weight: var(--font-weight-black);
        /*text-align: center;*/
    }

    /* CATEGORY BOX */

    .user-guide-category-list {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-6) 0;
    }

    .user-guide-sidebar-title {
        margin-top: var(--spacing-12);
        font-size: var(--font-size-xl);
        font-weight: var(--font-weight-light);
        color: var(--color-prose);
        margin-bottom: var(--spacing-2);
    }

    .user-guide-sidebar-subtitle {
        font-size: var(--font-size-3xl);
        font-weight: var(--font-weight-bold);
        margin-bottom: var(--spacing-12);
    }

    .user-guide-media-box {
        --image-width: 1.5rem;

        display: grid;
        grid-template-columns: var(--image-width) 1fr;
        gap: var(--spacing-4);
    }

    .user-guide-media-box-img {
        width: var(--image-width);
        height: var(--image-width);
    }

    .user-guide-media-box-content {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-2);
        a:hover {
            text-decoration: none;
            color: var(--color-primary-hover);
        }

        a.active {
            color: var(--color-primary);
        }
    }

    .user-guide-media-box-title {
        font-size: var(--font-size-lg);
        font-weight: var(--font-weight-semibold);
        color: var(--color-text);
    }

    .user-guide-media-box-links {
        display: flex;
        flex-direction: column;
        gap: 0;
        justify-content: left;
        font-size: var(--font-size-lg);
        font-weight: var(--font-weight-normal);
        color: var(--color-text-secondary);
    }
    /* ARTICLE */

    .user-guide-article {
        display: block;
        margin: 0 auto;
    }

    .user-guide-article h1,
    .user-guide-article h2,
    .user-guide-article h3,
    .user-guide-article h4,
    .user-guide-article h5,
    .user-guide-article h6 {
        font-family: var(--font-family-base);
    }

    .user-guide-article h1 {
        font-size: var(--font-size-4xl);
        margin-bottom: var(--spacing-6);
        font-weight: var(--font-weight-bold);
        color: var(--color-text);
    }

    .user-guide-article h2 {
        font-size: var(--font-size-xl);
        margin-top: var(--spacing-6);
        margin-bottom: var(--spacing-2);
        font-weight: var(--font-weight-semibold);
        color: var(--color-text);
    }

    .user-guide-article h3 {
        font-size: var(--font-size-lg);
        margin-top: var(--spacing-6);
        margin-bottom: var(--spacing-2);
        font-weight: var(--font-weight-semibold);
        color: var(--color-text);
    }
    .user-guide-article p {
        color: var(--color-prose);
        font-size: var(--font-size-lg);
    }

    .user-guide-article ul {
        list-style-type: disc;
        padding-left: var(--spacing-4);
        font-size: var(--font-size-lg);
        color: var(--color-prose);

        li {
            margin-bottom: var(--spacing-2);
        }
    }

    .user-guide-article a {
        text-decoration: underline;
        text-underline-offset: 2px;
        font-weight: var(--font-weight-normal);

        &:hover {
            color: var(--color-primary-hover);
        }
    }
}
